Bug 35122 - tf history behaves differently when compiled with gcc-2.96
Summary: tf history behaves differently when compiled with gcc-2.96
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-07 12:59 UTC by Hanno Foest
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-09 11:50:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2001:082 high SHIPPED_LIVE New version of GCC 2.96-RH available fixing several bugs 2001-06-14 04:00:00 UTC

Description Hanno Foest 2001-04-07 12:59:05 UTC
The command line history of "tf" (MUD/MUCK client) behaves differently 
when compiled with RH7's gcc. To reproduce:

wget -nd http://ftp.tcp.com/pub/mud/Clients/tinyfugue/tf-40s1.tar.gz
tar xzf tf-40s1.tar.gz
cd tf-40s1
./unixmake install
(y)
bin/tf -n
(type: foo 1 (enter)(ctrl-p) foo 2 (enter)(ctrl-p) foo 3 (enter)(ctrl-p))
The history jumps back to foo 1 with every ctrl-p.

After "export CC=kgcc" and recompiling the history goes back to the 
previously entered string, which is the correct behaviour. So this seems 
to be a compiler problem with gcc-2.96-69 (and -79) to me.

Comment 1 Jakub Jelinek 2001-04-09 11:50:19 UTC
Will be fixed in gcc-2.96-82, Bernd Schmidt fixed this in CVS gcc some time
ago.


Note You need to log in before you can comment on or make changes to this bug.